Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2384 - ImageMagick/The Gimp produce corrupted PNG images
Summary: ImageMagick/The Gimp produce corrupted PNG images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libpng
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://www.tropos.de/INFO/personal/wi...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-27 16:03 UTC by martin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-09 15:43:09 UTC


Attachments (Terms of Use)

Description martin 1999-04-27 16:03:29 UTC
Trying to

 - export PNG with the Gimp, and
 - converting to PNG from different other formats
   (EPS, TIFF, or others) with ImageMagick
   (convert as well as display),

I get corrupted images. Basically, the left half of the
image appears twice, the right half being covered by
the 2nd copy of the left half.

I suspect the error to be in libpng. Recompiling the
source RPMs of libpng and ImageMagick on my machine
didn't help.

PS ImageMagick also seems to fail when producing BMP images.
    But probably for different reasons.

Comment 1 Dale Lovelace 1999-06-09 15:43:59 UTC
This is fixed in 6.0.

 I tried converting with Gimp bmp->png gif->png jpg ->png and
displayed results with ee, gimp and ImageMagick, all results matched
originals. Used ImageMagick's "convert" program to convert from
bmp->png gif->png jpg->png png->bmp gif->bmp jpg->bmp and all
displayed fined with ee, gimp and ImageMagick. Here's what I have
installed:

ImageMagick-devel-4.2.2-4
ImageMagick-4.2.2-4
gimp-1.0.4-3
gimp-data-extras-1.0.0-4
gimp-libgimp-1.0.4-3
gimp-devel-1.0.4-3
libpng-1.0.3-2
libpng-devel-1.0.3-2
ee-0.3.8-7


Note You need to log in before you can comment on or make changes to this bug.